@import url(https://fonts.bunny.net/css?family=atkinson-hyperlegible:400,400i,700,700i|schoolbell:400);
html, body {
	padding: 0;
	margin: 0;
}
body {
    background-color: #229df2;
    background-image: url("/assets/textures/bg/1.png") !important;
    background-size: cover !important;
    background-position: bottom;
    font-family: 'Atkinson Hyperlegible', 'Arial', sans-serif;
    background-attachment: fixed;
}
a {
	color: #e835b5;
}
.container {
	display: flex;
	flex-direction: row;
}
.nav {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 30px;
	padding-bottom: 10px;
}
.nav .bottom-text{
	display: flex;
	flex-direction: column;
	justify-content: right;
	align-items: end;
}
.nav .bottom-text h1{
	margin:0;
	color: white;
}
.nav-items {
	display: flex;
	flex-direction: column;
	gap: 10px;
}
.content {
	flex: 1;
}
.nav-item{
	background-image: url('/assets/textures/cloud.png');
	background-size: contain;
	background-repeat: no-repeat;
	width:213px;
	height: 90px;
	line-height: 90px;
	display: block;
	text-align: center;
	filter: drop-shadow(2px 1px 1px rgba(0,0,0,0.5));
	font-family: 'Schoolbell';
	font-size:1.5em;
	text-decoration: none;
	color: #e835b5;
	text-shadow: 0px -1px #f29fda;
	/*animation: nav-swing 4s ease-in-out 0s infinite reverse;*/
	position: relative;
	outline: none;
	opacity: 0;
}
.nav-item:hover::after{
	transition: 0.1s;
	transform: scale(1.1) rotate(3deg);
}
.nav-item::after{
	z-index: -1;
	position:absolute;
	top:0;
	left:0;
	background-image: url('/assets/textures/navcloud1.avif');
	background-repeat: no-repeat;
	background-size: contain;
	width:213px;
	height: 90px;
	content: '';
	transition: 0.1s;
	transform: scale(1) rotate(0deg);
}
.nav-item::before{
	position: absolute;
	display: block;
	width: 6px;
	height: 100px;
	background: linear-gradient(#f29fda,#e835b5);
	content: '';
	top:-50px;
	left: 50%;
	transform: translate(-50%);
	z-index: -2;
}
.nav-item:nth-child(odd)::after{
	background-image: url('/assets/textures/navcloud1.avif');
}
.nav-item:nth-child(even)::after{
	background-image: url('/assets/textures/navcloud2.avif');
}
.nav-item:nth-child(1){
	z-index:10;
	animation: nav-enter 1s ease-in-out 0s forwards, nav-swing 8s ease-in-out 0s infinite reverse;
}
.nav-item:nth-child(2){
	z-index:9;
	animation: nav-enter 1s ease-in-out 0.2s forwards, nav-swing 8.2s ease-in-out 0.2s infinite reverse;
}
.nav-item:nth-child(3){
	z-index:8;
	animation: nav-enter 1s ease-in-out 0.45s forwards, nav-swing 8s ease-in-out 0.45s infinite reverse;
}
.nav-item:nth-child(4){
	z-index:7;
	animation: nav-enter 1s ease-in-out 0.55s forwards, nav-swing 8.2s ease-in-out 0.55s infinite reverse;
}
.nav-item:nth-child(5){
	z-index:6;
	animation: nav-enter 1s ease-in-out 0.68s forwards, nav-swing 8s ease-in-out 0.68s infinite reverse;
}
.nav-item:nth-child(4){
	z-index:5;
	animation: nav-enter 1s ease-in-out 0.82s forwards, nav-swing 8.2s ease-in-out 0.82s infinite reverse;
}
.nav-item:nth-child(5){
	z-index:4;
	animation: nav-enter 1s ease-in-out 1.01s forwards, nav-swing 8s ease-in-out 1.01s infinite reverse;
}
@keyframes nav-swing {
	0% {
		transform: translateX(-2px) rotate(2deg);
	}

	50% {
		transform: translateX(2px) rotate(-2deg);
	}

	100% {
		transform: translateX(-2px) rotate(2deg);
	}
}
@keyframes nav-enter {
	from {
		opacity:0;
		margin-top: -100px;
	}
	to{
		opacity: 1;
		margin-top: 0px;
	}
}
.bg-layer-lower {
    z-index: -2 !important;
    animation: float2 5s infinite !important;
    background-image: url("/assets/textures/bg/2.png") !important;
}

.fancy-background {
    width: 100%;
    height: 100%;
    z-index: -1;
    position: fixed;
    top: 0;
    left: 0;
    background-image: url("/assets/textures/bg/4.png");
    background-size: contain;
    background-position: bottom;
    animation: float 5s infinite;
    animation-timing-function: ease-in-out;
    image-rendering: pixelated !important;
    background-repeat: repeat-x;
}
@keyframes float {
    0% {
        transform: translateY(50px);
    }
    50% {
        transform: translateY(40px);
    }
    100% {
        transform: translateY(50px);
    }
}

@keyframes float-less {
    0% {
        transform: translateY(5px);
    }
    50% {
        transform: translateY(0px);
    }
    100% {
        transform: translateY(5px);
    }
}

@keyframes float2 {
    0% {
        transform: translateY(100px);
    }
    50% {
        transform: translateY(92px);
    }
    100% {
        transform: translateY(100px);
    }
}
.content {
	min-height: calc(100vh - 20px);
	margin-top: 20px;
	margin-left: 20px;
	margin-right: 20px;
	box-sizing: border-box;
}
.content-box {
	background: white;
	min-height: calc(100vh - 20px);
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
	padding: 20px;
	box-sizing: border-box;
}

.content:has(.homepage) {
	display: flex;;
	justify-content: center;
	align-items: center;
}
.content .homepage {
	color: white;
	text-shadow: 1px 1px 5px rgba(0,0,0,0.2);
}
.content .homepage img {
	max-width: 30%;
}

.postlist .postlist-post {
	display: flex;
	flex-direction: column;
	padding: 10px;
	box-sizing: border-box;
	span {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	p,h3 {
		margin: 3px;
	}
	border-bottom: 1px solid black;
}
.postlist .postlist-post:last-child{
	border-bottom: 0px solid black;
}
.postlist a{
	text-decoration: none;
}
.post-header {
	display: flex;
	justify-content: space-between;
	h2{
		margin: 3px;
	}
	border-bottom: 1px solid black;
}
h1,h2,h3,h4,h5,h6{
	margin: 3px;
}
.content:has(#release-grid), .content:has(.suspended-container) {
	display:flex;
	align-items: center;
	justify-content: center;
}
#release-grid {
    display: grid;
    grid-template-columns: 200px 200px;
    gap: 0.2rem;

}
#release-grid a{
	color: white;
	text-decoration: none;
}
#release-grid img {
	border-radius: 3px;
	border: 1px solid rgba(1,1,1,0.1);
}
#release-grid p{
	margin-top:0px;
	margin-bottom: 5px;
}

.release-player {
    background: white;
    border-color: #efefef;
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;
    padding: 5px;
    flex-grow: 1;
}
.release-player .tracklist {
    border-top-color: #efefef;
    border-top-width: 1px;
    border-top-style: solid;
    margin-right: 15px;
    margin-left: 15px;
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 5px;
}
.release-player .tracklist p{
    color: #757575;
    user-select: none;
}
.release-player .tracklist a{
    color: #000;
}
.release-player .tracklist a:hover{
    text-decoration: underline;
}
.tracklist .playing{
    font-weight: 900;
}
.tracklist .playing::after{
    content: "·";
    display: inline-block;
    font-size: 0.8em;
    transform: translateY(-2px);
    padding-left: 5px;
}
#release {
    display: flex;
}
#release img{
    max-width: 300px;
    margin-right:20px;
    object-fit: contain;
    object-position: top;
}

.suspended-container {
	background: white;
	border-radius: 10px;
	padding: 20px;
	position:relative;
	border: 1px solid rgba(1,1,1,0.2);
}
.suspended-container::before {
	content:'';
	background: none;
	width: 90%;
	height:50vh;
	position: absolute; 
	left: 50%;
	transform: translateX(-50%) translateY(-50vh);
	z-index:-1;
	border-style: solid;
	border-width: 5px;
	border-bottom-width: 0px;
	border-image: linear-gradient(#f29fda,#e835b5) 1;
	/*border-right: 6px solid #f29fda;*/
}
.release-info {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.webring a {
	color: white;
}
.webring a:nth-child(2){
	text-decoration: none;
}
pre {
    padding: 5px;
    border-radius: 5px;
    background-color: #ffb3c6;
    border-color: #fb6f92;
    border-style: solid;
    border-width: 1px;
}
blockquote {
  margin-left: 0;
  border-left-style: solid;
  border-left-width: 3px;
  border-left-color: #fb6f92;
  padding-left: 10px;
}
code {
    white-space: pre-line;
    overflow-wrap: anywhere;
    padding: 1px;
    border-radius: 5px;
    background-color: #ffb3c6;
    border-color: #fb6f92;
    border-style: solid;
    border-width:1px;
}
pre code{
	padding: 0px;
	border-radius: 0px;
	border-style: none;
	background: none;
}